Skip to main content
`Ctrl`+`K`

# MatQRFactorNumeric

Performs numeric QR factorization of a matrix. Call this routine after first calling `MatGetFactor()`, and `MatQRFactorSymbolic()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatQRFactorNumeric(Mat fact, Mat mat, const MatFactorInfo *info)

Collective

## Input Parameters

- fact - the factor matrix obtained with `MatGetFactor()`

- mat - the matrix

- info - options for factorization

## Notes

See `MatQRFactor()` for in-place factorization.

Most users should employ the `KSP` interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., `KSPCreate()`.

## Fortran Note

A valid (non-null) `info` argument must be provided

## See Also

Matrices, `Mat`, Matrix Factorization, `MatFactorInfo`, `MatGetFactor()`, `MatQRFactor()`, `MatQRFactorSymbolic()`, `MatLUFactor()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatQRFactorNumeric_SPQR() in src/mat/impls/aij/seq/spqr/aijspqr.c
MatQRFactorNumeric_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages